Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Class AbleObjectInputStreamLoader

    java.lang.Object
      java.io.InputStream
          java.io.ObjectInputStream
              com.ibm.able.editor.AbleObjectInputStreamLoader

All Implemented Interfaces:
  java.io.DataInput, java.io.ObjectInput, java.io.ObjectStreamConstants

public class AbleObjectInputStreamLoader
extends java.io.ObjectInputStream

This subclass of ObjectInputStream delegates loading of classes to an existing ClassLoader.

Nested Class Summary

Nested classes inherited from class java.io.ObjectInputStream
`java.io.ObjectInputStream.GetField`

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants
`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`AbleObjectInputStreamLoader(java.io.InputStream in, java.lang.ClassLoader loader)` Loader must be non-null;

Method Summary
`java.lang.ClassLoader` | `getClassLoader()`
`protected java.lang.Class` | `resolveClass(java.io.ObjectStreamClass classDesc)` Use the given ClassLoader rather than using the system class

Methods inherited from class java.io.ObjectInputStream
`available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, resolveProxyClass, skipBytes`

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.ObjectInput
`read, skip`

Constructor Detail

### AbleObjectInputStreamLoader

    public AbleObjectInputStreamLoader(java.io.InputStream in,
                                       java.lang.ClassLoader loader)
                                throws java.io.IOException,
                                       java.io.StreamCorruptedException

  Loader must be non-null;

Throws:
  `java.io.IOException` - if any IO exception
  `java.io.StreamCorruptedException` - if stream corrupted

Method Detail

### resolveClass

    protected java.lang.Class resolveClass(java.io.ObjectStreamClass classDesc)
                                    throws java.io.IOException,
                                           java.lang.ClassNotFoundException

  Use the given ClassLoader rather than using the system class

  Throws:
    `java.lang.ClassNotFoundException` - if class not found
    `java.io.IOException`

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005